

void pulseCounter();                 //
void setupFlowMeter();      //
void checkFlow() ;

void getInfo();             //here we get info like temp etc

void checkMenu(); 
void pwdKeypadEvent();
void menuKeypadEvent();

int laserEnablePin = 50;  
int waterCoolerPin = 51;  
int airAssistPin = 52;  
int ventilationPin = 53; 
int lichtPin = 49;
//int lichtPin = 48; spare
int testEnablePin = 47;
int potMeterEnable = 46;


LiquidCrystal lcd(12, 11, 7, 6, 5, 4);
int passwordCorrect = false;
Password password = Password( "123456" );
const byte ROWS = 4; // Four rows
const byte COLS = 3; // Three columns

char keys[ROWS][COLS] = {                  // Define the Keymap
  { '1','2','3'  }  ,
  { '4','5','6'  }  ,
  { '7','8','9'  }  ,
  { '*','0','#'  } };

byte rowPins[ROWS] = { 15, 20, 17, 19 };   // Connect keypad ROW0, ROW1, ROW2 and ROW3 to these Arduino pins.
byte colPins[COLS] = { 18, 14, 16 };       // Connect keypad COL0, COL1 and COL2 to these Arduino pins.
Keypad kpd = Keypad( makeKeymap(keys), rowPins, colPins, ROWS, COLS ); // Create the Keypad
float tempIn;
float tempOut;
int tempPinIn = 0;
int tempPinOut = 0;
volatile int pulseCount; //measuring the rising edges of the signal
int Calc;                               
int hallsensor = 2;    //The pin location of the sensor
unsigned long loopTime;


